SmartCafe Expert 3.2 72K works fine in some versions but is an "unsupported card" in other versions.

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

SmartCafe Expert 3.2 72K works fine in some versions but is an "unsupported card" in other versions.

Thomas De Reyck
Dear OpenSC users,

I was wondering if any of you could assist me with the following:

I have been able to set up the Muscle Applet on a SmartCafe Expert 3.2
72K smartcard. My original
experimentation was performed on a Debian Squeeze system, with the
OpenSC provided by Debian.
The OpenSC version used is: 0.11.13 (according to opensc-tool)

However, an important aspect for this project, is having the smart
card work on Mac OS X 10.6 as well. But
here I have found the following issues:

- Using the latest version of OpenSC for Mac: 0.12.1
  - Source: http://www.opensc-project.org/files/opensc/OpenSC-0.12.1-10.6.dmg
  - Installation works fine, however, when I try to work with the
card, it is unsupported:

> pkcs15-tool -D
> Using reader with a card: OmniKey CardMan 3121 00 00
> PKCS#15 binding failed: Unsupported card

  - Can read ATR from opensc-tool.
  - PKCS#11 module doesn't work.
  - OpenSC.tokend doesn't work either.


- Using the latest SCA deprecated version: SCA-0.2.8
  - Source: http://www.opensc-project.org/files/sca/sca-0.2.8.dmg
  - Installation works fine.
  - pkcs15-tool -D works fine.
  - Can read ATR from opensc-tool.
  - Tokend works on 32-bit based systems, but does not work on 64-bit
systems. Probably normal, since this is a deprecated version.
  - PKCS#11 module works fine in Firefox and Adobe Reader.


- Just for testing: When I use a Windows 7 computer, and install
either the 32- or 64-bit version, I also get the "Unsupported Card"
error
on that computer.

Of course, it is my goal to have this working with a recent version,
with both PKCS#11 and tokend support. Perhaps PKCS#11 and tokend
are functional in the latest available version, but because of the
"Unsupported Card" error, I cannot test this.

Is there any way to mark my card as supported? Can I do so myself? Do
I need to report this as a bug?
Should I perhaps forward this request somewhere else?

Thank you in advance,
Thomas De Reyck



More Info:
Smartcard: http://www.smartcardfocus.com/shop/ilp/id~521/SmartCafe_Expert_3_2_72K/p/index.shtml
ATR: 3b:f7:18:00:00:80:31:fe:45:73:66:74:65:2d:6e:66:c4
_______________________________________________
opensc-user mailing list
[hidden email]
http://www.opensc-project.org/mailman/listinfo/opensc-user
Reply | Threaded
Open this post in threaded view
|

opensc-pkcs11 0.1210 + OS X 10.5.8

Tristan Williams
Hello,

I am having some problems with opensc-pkcs11.so and OS X 10.5.8 (ppc)
Using Java and iText I wrote a pdf signing program with the
cryptographic elements being stored/computed on a supported
smartcard. This works with opensc 0.11.13 via the sca binary
distribution on both OS X 10.4.X and 10.5.8 but the 0.12.1 binary
installer and the 0.12.1 source (when compiled) result in an
opensc-pkcs11.so which Java (1.5) objects to (error below)

 java.security.KeyStoreException: pkcs11 not found
 at java.security.KeyStore.getInstance(KeyStore.java:645)

I have checked that the pkcs11 config is valid and opensc-pkcs11.so is
being correctly referenced. I am clearly missing something or doing
something wrong! If anyone has success with OS X 10.5.X and
opensc-pkcs11 version 0.12.1X I would be very grateful for any ideas
or pointers.

Kind regards,

Tristan

_______________________________________________
opensc-user mailing list
[hidden email]
http://www.opensc-project.org/mailman/listinfo/opensc-user
Reply | Threaded
Open this post in threaded view
|

Re: opensc-pkcs11 0.1210 + OS X 10.5.8

Martin Paljak-4
Hello
On Jul 14, 2011, at 10:13 , Tristan Williams wrote:
> java.security.KeyStoreException: pkcs11 not found
> at java.security.KeyStore.getInstance(KeyStore.java:645)

This is too short for a backtrace to be useful.

Things to check:
file /usr/bin/java
file /Library/OpenSC/lib/opensc-pkcs11.so
file /Library/OpenSC/bin/pkcs11-tool
/Library/OpenSC/bin/pkcs11-tool --module /Library/OpenSC/lib/opensc-pkcs11.so -L


I don't have PPC any more to test. If you claim that the same unchanged Java program works with a different PKCS#11 module I guess it might be an architecture mismatch

--
@MartinPaljak.net
+3725156495

_______________________________________________
opensc-user mailing list
[hidden email]
http://www.opensc-project.org/mailman/listinfo/opensc-user